Subject: Re: bug#71883: [PATCH] Fix tab-bar-auto-width with customized tab-bar-tab-face-function

From: Juri Linkov <[email-masked]>
Date: Tue, 20 Aug 2024 09:40:38 +0300

>>>>> +(defun tab-bar-auto-width-predicate-default (item)
>>>>> +  "Accepts tab ITEM and returns non-nil for tabs and tab groups."
>>>>> +  (string-match-p
>>>>> +   ;; (rx bos (or "current-tab" "current-group" "tab-" "group-"))
>>>>> +   "\\`\\(?:current-\\(?:group\\|tab\\)\\|\\(?:group\\|tab\\)-\\)"
>>>>> +   (symbol-name (nth 0 item))))
>>>>
>>>> In this part please remove the current group from the default implementation,
>>>> because it looks too ugly, and it was not resized before this change, since
>>>> tab-bar-auto-width-faces didn't contain the tab-bar-tab-group-current face.
>>>
>>> If the simpler change offers feature parity, that sounds good to me.
>>
>> Thanks for the patch, I pushed it to master, then ameliorated it
>> to keep backwards-compatibility for users customized these faces,
>> but by default using your predicate on symbols.
>
> Thank you!  How would users have customized tab-bar-auto-width-faces
> since it was not a defcustom?

I meant that customized it without using the Customization UI.
Maybe a better word would be "configured", e.g. with 'setopt'
('setopt' supports non-customizable plain variables as
'setq' does, unlike 'set-variable' that refuses to change them).